# DCM/DFA Reporting And Trafficking API . mobileCarriers

## Instance Methods

Gets one mobile carrier by ID.

Retrieves a list of mobile carriers.

### Method Details

`get(profileId, id)`

    Gets one mobile carrier by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, Mobile carrier ID. (required)

    Returns:
      An object of the form:

        { # Contains information about a mobile carrier that can be targeted by ads.
        "kind": "dfareporting#mobileCarrier", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#mobileCarrier".
        "countryDartId": "A String", # DART ID of the country to which this mobile carrier belongs.
        "id": "A String", # ID of this mobile carrier.
        "countryCode": "A String", # Country code of the country to which this mobile carrier belongs.
        "name": "A String", # Name of this mobile carrier.
      }

`list(profileId)`

    Retrieves a list of mobile carriers.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Mobile Carrier List Response
        "kind": "dfareporting#mobileCarriersListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#mobileCarriersListResponse".
        "mobileCarriers": [ # Mobile carrier collection.
          { # Contains information about a mobile carrier that can be targeted by ads.
            "kind": "dfareporting#mobileCarrier", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#mobileCarrier".
            "countryDartId": "A String", # DART ID of the country to which this mobile carrier belongs.
            "id": "A String", # ID of this mobile carrier.
            "countryCode": "A String", # Country code of the country to which this mobile carrier belongs.
            "name": "A String", # Name of this mobile carrier.
          },
        ],
      }